package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

/**
 * 用户 业务
 * @author weiximei
 */
public interface IToUserService {

    /**
     * 用户登录
     * @param loginName
     * @param code 验证码
     * @return
     */
    ResponseBean login(String loginName,String code);

    /**
     * 获取用户信息
     * @param userId
     * @return
     */
    ResponseBean getInfo(Integer userId);

    /**
     * 获取成员列表
     * @param parameter
     * @return
     */
    ResponseBean userList(String parameter);

    /**
     * 添加成员角色
     * @param parameter
     * @param UserID
     * @return
     */
    ResponseBean addUser(String parameter,Integer UserID,Integer communityId);

    /**
     * 修改成员
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean upDate(String parameter, Integer id);

    /**
     * 查看成员详情
     * @param parameter
     * @param id
     * @return
     */
    ResponseBean selectById(String parameter, Integer id);

    /**
     * 修改当前状态
     * @param parameter
     * @return
     */
    ResponseBean upDateStatus(String parameter,Integer userID);

}
